Delete WhatsApp campaign
curl --request DELETE \
--url https://prod-platform-core-api.20x.business/api/v1/whatsapp/campaigns/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/whatsapp/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/whatsapp/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));WhatsApp Campaigns
Delete WhatsApp campaign
Delete a WhatsApp campaign and its template mappings
DELETE
/
whatsapp
/
campaigns
/
{id}
Delete WhatsApp campaign
curl --request DELETE \
--url https://prod-platform-core-api.20x.business/api/v1/whatsapp/campaigns/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/whatsapp/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/whatsapp/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Permanently deletes a WhatsApp campaign configuration.
Path parameters
string
required
The unique UUID of the WhatsApp campaign to delete.
curl -X DELETE https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/campaigns/55555555-5555-5555-5555-555555555555 \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
import requests
response = requests.delete(
"https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/campaigns/55555555-5555-5555-5555-555555555555",
headers={"Authorization": f"Bearer {API_KEY}"},
)
print(response.status_code)
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/campaigns/55555555-5555-5555-5555-555555555555",
{
method: "DELETE",
headers: { Authorization: `Bearer ${API_KEY}` },
},
);
console.log(response.status);
Response
204 No Content on successful deletion.
